## xfsdump-2.2.13.src.tar.gz

=== common/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = arch_xlate.c arch_xlate.h \
	cldmgr.c cldmgr.h cleanup.c cleanup.h content.h \
	content_common.c content_common.h content_inode.h dlog.c dlog.h \
	drive.c drive.h drive_minrmt.c drive_scsitape.c drive_simple.c \
	exit.h fs.c fs.h getdents.c getdents.h global.c global.h \
	inventory.c inventory.h lock.c lock.h \
	main.c media.c media.h media_rmvtape.h mlog.c mlog.h \
	namreg.c namreg.h openutil.c openutil.h path.c path.h qlock.c qlock.h \
	rec_hdr.h ring.c ring.h sproc.c sproc.h stream.c \
	stream.h ts_mtio.h types.h util.c util.h

default install install-dev :

include $(BUILDRULES)

=== debian/changelog ===
xfsdump (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 23 Jul 2003 08:31:02 +1000

xfsdump (2.2.12-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 29 May 2003 17:26:52 +1000

xfsdump (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Fine-tuned shared library dependencies slightly, so we depend
    on libattr itself (rather than attr which depends on libattr).

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 06:30:30 +1000

xfsdump (2.2.10-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 14 Apr 2003 11:11:26 +1000

xfsdump (2.2.9-1) unstable; urgency=high

  * New upstream release fixing xfsdump quota file security issues

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2003 11:05:54 +1100

xfsdump (2.2.8-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2003 10:30:18 +1100

xfsdump (2.2.6-1) unstable; urgency=low

  * New upstream release
  * Update build dependencies to require new XFS headers

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Dec 2002 13:10:49 +1100

xfsdump (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Update packaging dependencies to reflect renamed libattr1-dev
  * Switch from using curses library to ncurses library directly

 -- Nathan Scott <nathans@debian.org>  Fri,  8 Nov 2002 09:58:50 +1100

xfsdump (2.2.2-1) unstable; urgency=low

  * New upstream release (closes: #162038).

 -- Nathan Scott <nathans@debian.org>  Mon,  7 Oct 2002 05:19:51 +1000

xfsdump (2.2.0-1) unstable; urgency=low

  * New upstream release, fixing compatibility with older kernels

 -- Nathan Scott <nathans@debian.org>  Tue,  3 Sep 2002 09:22:24 +1000

xfsdump (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 14 Aug 2002 09:47:15 +1000

xfsdump (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 30 Jul 2002 14:34:17 +1000

xfsdump (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 29 Jul 2002 15:43:47 +1000

xfsdump (2.1.0-1) unstable; urgency=low

  * New upstream release
  * Uses updated XFS geometry ioctl (version change differentiates this).

 -- Nathan Scott <nathans@debian.org>  Thu, 20 Jun 2002 14:43:07 +1000

xfsdump (2.0.4-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 18 Jun 2002 09:48:30 +1000

xfsdump (2.0.3-1) unstable; urgency=low

  * New upstream release (closes: #146121).

 -- Nathan Scott <nathans@debian.org>  Wed,  8 May 2002 15:38:18 +1000

xfsdump (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

xfsdump (2.0.0-1) unstable; urgency=low

  * Major new upstream release
  * Several system call changes - THIS WILL NOT WORK WITH OLD KERNELS!
  * Uses the new shared ext2/ext3/XFS extended attributes interfaces

 -- Nathan Scott <nathans@debian.org>  Thu,  7 Feb 2002 13:25:26 +1100

xfsdump (1.1.14-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Jan 2002 11:13:19 +1100

xfsdump (1.1.13-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Mon, 14 Jan 2002 10:59:50 +1100

xfsdump (1.1.12-1) unstable; urgency=low

  * New upstream bug-fix release
  * Several xfsrestore performance improvements

 -- Nathan Scott <nathans@debian.org>  Wed,  9 Jan 2002 14:21:56 +1100

xfsdump (1.1.10-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Wed, 12 Dec 2001 10:49:17 +1100

xfsdump (1.1.6-0) unstable; urgency=low

  * New upstream release
  * Several fixes for IA64 and 64-bit Linux platforms in general
  * FHS compliance for xfsdump inventory directory (closes: #112566)

 -- Nathan Scott <nathans@debian.org>  Wed,  3 Oct 2001 15:09:51 +1000

xfsdump (1.1.3-0) unstable; urgency=low

  * More changes to libtool build procedure (closes: #106702)

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

xfsdump (1.1.2-1) unstable; urgency=low

  * Minor changes to build procedure 
  * Add missing libtool build dependency (closes: #106506)

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Jul 2001 12:57:42 +1000

xfsdump (1.1.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 24 Jul 2001 12:15:30 +1000

xfsdump (1.1.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

xfsdump (1.1.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/xfsdump/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5
  * Introduce a shlibs.local file to track package inter-dependencies

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Jul 2001 15:57:04 +1000

xfsdump (1.0.9) unstable; urgency=low

  * Correctly [xfs]restore the suid and guid mode bits

 -- Nathan Scott <nathans@debian.org>  Tue, 15 May 2001 14:40:03 +1000

xfsdump (1.0.8) unstable; urgency=low

  * Add a build dependency on xfslibs-dev 1.2.5 (closes: #97097)

 -- Nathan Scott <nathans@debian.org>  Sat, 12 May 2001 08:52:27 +1000

xfsdump (1.0.7) unstable; urgency=low

  * Fix numerous warnings, remove last -Wall filter
  * Support realtime files in dump/restore
  * Cleanup arch-specific code, esp. the byteswab routines
  * Fix bug dumping to remote tape device with given user

 -- Nathan Scott <nathans@debian.org>  Wed,  9 May 2001 15:23:23 +1000

xfsdump (1.0.6) unstable; urgency=low



=== debian/control ===
Source: xfsdump
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 2.4.8), dmapi-dev (>= 2.0.0), uuid-dev, libattr1-dev, libncurses-dev, autoconf, debmake, gettext, libtool
Standards-Version: 3.5.9

Package: xfsdump
Depends: ${shlibs:Depends}
Architecture: any
Description: Administrative utilities for the XFS filesystem
 The xfsdump package contains xfsdump, xfsrestore and a number of
 other administrative utilities for managing XFS filesystems.
 .
 xfsdump examines files in a filesystem, determines which need to be
 backed up, and copies those files to a specified disk, tape or other
 storage medium.  It uses XFS-specific directives for optimizing the
 dump of an XFS filesystem, and also knows how to backup XFS extended
 attributes.  Backups created with xfsdump are "endian safe" and can
 thus be transfered between Linux machines of different architectures
 and also between IRIX machines.
 .
 xfsrestore performs the inverse function of xfsdump; it can restore a
 full backup of a filesystem.  Subsequent incremental backups can then
 be layered on top of the full backup.  Single files and directory
 subtrees may be restored from full or partial backups.
